| Home | Libraries | People | FAQ | More

## Struct template result<This(Expr, State, Data)>

boost::proto::transform::result<This(Expr, State, Data)>

## Synopsis

    // In header: <boost/proto/transform/impl.hpp>

    template<typename This, typename Expr, typename State, typename Data>
    struct result<This(Expr, State, Data)> {
      // types
      typedef typename PrimitiveTransform::template impl< Expr, State, Data >::result_type type;
    };